Subject: [ipcdn] RE: any ECR for docsIfCmtsModPreambleType value for TDMA/ATDMA

From: "Eduardo Cardona" <[email-masked]>
Date: Tue, 29 Jul 2003 08:17:18 -0600

Hi Minie, Thanks for tracking the topic, I am copying the IPCDN list.

As you mentioned, this is a very common situation where the updated
version of the spec has no equivalent attibutes for the older spec.

I would like to know if there is already a proposed text for the
enumeration update unknown(0) plus the DESCRIPTION explaining the value
zero; David Raftus may have some details around. 

In the mean time, 

I have not strong position to prefer other(0) rather than unknown(0),
let's leave for now unknown(0)

Below is the definition from draft-ipcdn-rfmibv2-06.txt

docsIfCmtsModPreambleType        OBJECT-TYPE
        SYNTAX       INTEGER {
            qpsk0(1),
            qpsk1(2)
        }
        MAX-ACCESS  read-create
        STATUS      current
        DESCRIPTION
            "Preamble type for DOCSIS 2.0 bursts"
        REFERENCE
            "Data-Over-Cable Service Interface Specifications: Radio
             Frequency Interface Specification SP-RFIv2.0-IO2-020617,
             Table 8-19."
        DEFVAL { qpsk0 }
        ::= { docsIfCmtsModulationEntry 16 }

Tentative proposed: ( extended the REFERENCES to link the 1.x burst
considerations)

docsIfCmtsModPreambleType        OBJECT-TYPE
        SYNTAX       INTEGER {
            qpsk0(1),
            qpsk1(2)
        }
        MAX-ACCESS  read-create
        STATUS      current
        DESCRIPTION
            "Preamble type for DOCSIS 2.0 bursts. The value 'unknown' 
             represents a row entry with DOCSIS 1.x burst only"
        REFERENCE
            "Data-Over-Cable Service Interface Specifications: Radio
             Frequency Interface Specification SP-RFIv2.0-IO2-020617,
             8.3.3 Upstream Channel Descriptor (UCD), Table 8-19 and 
             section 6.2.9 Preamble Prepend."
        DEFVAL { qpsk0 }
        ::= { docsIfCmtsModulationEntry 16 }

Comments are very welcome, Until a resolution is taken in the ipcdn
group, we can arrange a quick  spec update before then a new RFI mib RFC
is assigned and then required in the RFI spec.

Regards

Eduardo

-----Original Message-----
From: Minnie Lu [mailto:[email-masked]] 
Sent: Monday, July 28, 2003 5:13 PM
To: DOCSIS OSS Majordomo List; Eduardo Cardona
Cc: [email-masked]
Subject: any ECR for docsIfCmtsModPreambleType value for TDMA/ATDMA

Hi,

I know this issue described as below will be addressed in the next
revision 
of RF mib v2 draft. But it seems that it will take some time to have
next 
revision to be published and accepted by CableLabs as part of official 
DOCSIS OSS spec.  Is there any ECR/ECO/ECN already ?  If not yet, I
think 
we need one.

5) docsIfCmtsModPreambleType - (Joel) In docsIfCmtsModulationTable, the 
docsIfCmtsModPreambleType object has
2 possible values qpsk0(1) and qpsk1(2). It seems like it's the only
object 
in this table without a
meaningful default value when this parameter does not make sense. For 
instance, for a TDMA modulation
profile using QAM16, the actual preamble type is indeed not QPSK0 but 
something else. Does it make sense
to have a value of 0 in this case, like 
docsIfCmtsModScdmaInterleaverStepSize for non-SCDMA profiles?

(Eduardo) for the benefit of clarifications wouldn't be good to have a 
enumeration unknown(0) for this
object when not a 2.0 burst ?
Also a note in the DESCRIPTION like "if docsIfCmtsModChannelType is
tdma(1) 
a value unknown(0) is used for this object"
I would say unknown(0) rather than unknown(3) since it looks like the 
possible current implementation may be reporting
'0' , and defendable in IETF since RFC 3291 uses '0' for inetAddressType

Contributors - Joel Demarty Juniper, Eduardo Cardona Cablelabs

  Thanks a lot for your help !
  Minnie

_______________________________________________
IPCDN mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipcdn

---

From: "Raftus, David" <[email-masked]>
Date: Tue, 29 Jul 2003 08:29:28 -0700

Hi,

I agree that 'unknown (0)' matches the precedent set previously in the RF
mib, and is preferable to 'other (0)'.

Also, use of the value (0) is acceptable according to minutes of the IPCDN
Feb 13/03 interim meeting:

If enumeration has to start at 0, author to put description for Why.
Otherwise start enumeration at 1.
 -       docsBpi2CmtsAuthBpkmCmCertValid         OBJECT-TYPE
           SYNTAX    INTEGER {
                             unknown (0),
                             validCmChained (1),
                             validCmTrusted (2),
                             invalidCmUntrusted (3),
                             invalidCAUntrusted (4),
                             invalidCmOther (5),
                             invalidCAOther (6)
                             }

Here's a suggestion for Description wording, open to comments:
            "Preamble type for DOCSIS 2.0 bursts. The value 'unknown (0)'
represents a row entry consisting only of DOCSIS 1.x bursts."

Thanks,
Dave

************************************
David Raftus
Software Manager
Terayon Communications Canada
340 Terry Fox Drive, Suite 202
Ottawa Canada  K2K 3A2

[email-masked]           
613.592.1052  ext 222
************************************               

-----Original Message-----
From: Eduardo Cardona [mailto:[email-masked]]
Sent: Tuesday, July 29, 2003 10:17 AM
To: Minnie Lu; DOCSIS OSS Majordomo List; [email-masked]
Cc: [email-masked]
Subject: RE: any ECR for docsIfCmtsModPreambleType value for TDMA/ATDMA

In the mean time,

Regards

Eduardo

-----Original Message-----
From: Minnie Lu [mailto:[email-masked]]
Sent: Monday, July 28, 2003 5:13 PM
To: DOCSIS OSS Majordomo List; Eduardo Cardona
Cc: [email-masked]
Subject: any ECR for docsIfCmtsModPreambleType value for TDMA/ATDMA

Hi,

---

From: "Eduardo Cardona" <[email-masked]>
Date: Tue, 29 Jul 2003 12:47:24 -0600

Currently, all draft 06 references pointed to I02, 
 
I think it is up to David Raftus to decide to update the references
before WGLC due the current draft status
 
Eduardo

	-----Original Message-----
	From: Craig Patten @ Terayon 
	Sent: Tuesday, July 29, 2003 10:11 AM
	To: Raftus, David; Eduardo Cardona; 'Minnie Lu '; DOCSIS OSS
Majordomo List; [email-masked] '
	Subject: RE: any ECR for docsIfCmtsModPreambleType value for
TDMA/ATDMA

	 Eduardo, 

	Minor documentation issue, I noticed the proposed definition
includes a reference SP-RFIv2.0-IO2-020617 spec.  I don't think it has
changed, but should the mib actually reference the newer IO3 document
AKA SP-RFIv2.0-I03-021218?

	Thanks, 

	Craig 

	-----Original Message----- 
	From: Raftus, David 
	To: 'Eduardo Cardona'; Minnie Lu; DOCSIS OSS Majordomo List;
[email-masked] 
	Cc: Raftus, David 
	Sent: 7/29/2003 8:29 AM 
	Subject: RE: any ECR for docsIfCmtsModPreambleType value for
TDMA/ATDMA 

	Hi, 

	I agree that 'unknown (0)' matches the precedent set previously
in the 
	RF mib, and is preferable to 'other (0)'. 

	Also, use of the value (0) is acceptable according to minutes of
the 
	IPCDN Feb 13/03 interim meeting: 

	If enumeration has to start at 0, author to put description for
Why. 
	Otherwise start enumeration at 1. 
	 -       docsBpi2CmtsAuthBpkmCmCertValid         OBJECT-TYPE 
	           SYNTAX    INTEGER { 
	                             unknown (0), 
	                             validCmChained (1), 
	                             validCmTrusted (2), 
	                             invalidCmUntrusted (3), 
	                             invalidCAUntrusted (4), 
	                             invalidCmOther (5), 
	                             invalidCAOther (6) 
	                             } 

	Here's a suggestion for Description wording, open to comments: 
	            "Preamble type for DOCSIS 2.0 bursts. The value
'unknown 
	(0)' represents a row entry consisting only of DOCSIS 1.x
bursts." 

	Thanks, 
	Dave 

	[email-masked]           
	613.592.1052  ext 222 

	-----Original Message----- 
	From: Eduardo Cardona [ mailto:[email-masked] 
	<mailto:[email-masked]> ] 
	Sent: Tuesday, July 29, 2003 10:17 AM 
	To: Minnie Lu; DOCSIS OSS Majordomo List; [email-masked] 
	Cc: [email-masked] 
	Subject: RE: any ECR for docsIfCmtsModPreambleType value for
TDMA/ATDMA 

	Hi Minie, Thanks for tracking the topic, I am copying the IPCDN
list. 

	As you mentioned, this is a very common situation where the
updated 
	version of the spec has no equivalent attibutes for the older
spec. 

	enumeration update unknown(0) plus the DESCRIPTION explaining
the value 
	zero; David Raftus may have some details around. 

	In the mean time, 

	I have not strong position to prefer other(0) rather than
unknown(0), 
	let's leave for now unknown(0) 

	docsIfCmtsModPreambleType        OBJECT-TYPE 
	        SYNTAX       INTEGER { 
	            qpsk0(1), 
	            qpsk1(2) 
	        } 
	        MAX-ACCESS  read-create 
	        STATUS      current 
	        DESCRIPTION 
	            "Preamble type for DOCSIS 2.0 bursts" 
	        REFERENCE 
	            "Data-Over-Cable Service Interface Specifications:
Radio 
	             Frequency Interface Specification
SP-RFIv2.0-IO2-020617, 
	             Table 8-19." 
	        DEFVAL { qpsk0 } 
	        ::= { docsIfCmtsModulationEntry 16 } 

	Tentative proposed: ( extended the REFERENCES to link the 1.x
burst 
	considerations) 

	docsIfCmtsModPreambleType        OBJECT-TYPE 
	        SYNTAX       INTEGER { 
	            qpsk0(1), 
	            qpsk1(2) 
	        } 
	        MAX-ACCESS  read-create 
	        STATUS      current 
	        DESCRIPTION 
	            "Preamble type for DOCSIS 2.0 bursts. The value
'unknown' 
	             represents a row entry with DOCSIS 1.x burst only" 
	        REFERENCE 
	            "Data-Over-Cable Service Interface Specifications:
Radio 
	             Frequency Interface Specification
SP-RFIv2.0-IO2-020617, 
	             8.3.3 Upstream Channel Descriptor (UCD), Table 8-19
and 
	             section 6.2.9 Preamble Prepend." 
	        DEFVAL { qpsk0 } 
	        ::= { docsIfCmtsModulationEntry 16 } 

	Comments are very welcome, Until a resolution is taken in the
ipcdn 
	group, we can arrange a quick  spec update before then a new RFI
mib RFC 

	Regards 

	Eduardo 

	-----Original Message----- 
	From: Minnie Lu [ mailto:[email-masked] <mailto:[email-masked]>
] 
	Sent: Monday, July 28, 2003 5:13 PM 
	To: DOCSIS OSS Majordomo List; Eduardo Cardona 
	Cc: [email-masked] 
	Subject: any ECR for docsIfCmtsModPreambleType value for
TDMA/ATDMA 

	Hi, 

	I know this issue described as below will be addressed in the
next 
	revision 
	of RF mib v2 draft. But it seems that it will take some time to
have 
	next 
	revision to be published and accepted by CableLabs as part of
official 
	DOCSIS OSS spec.  Is there any ECR/ECO/ECN already ?  If not
yet, I 
	think 
	we need one. 

	5) docsIfCmtsModPreambleType - (Joel) In
docsIfCmtsModulationTable, the 
	docsIfCmtsModPreambleType object has 
	2 possible values qpsk0(1) and qpsk1(2). It seems like it's the
only 
	object 
	in this table without a 
	meaningful default value when this parameter does not make
sense. For 
	instance, for a TDMA modulation 
	profile using QAM16, the actual preamble type is indeed not
QPSK0 but 
	something else. Does it make sense 
	to have a value of 0 in this case, like 
	docsIfCmtsModScdmaInterleaverStepSize for non-SCDMA profiles? 

	(Eduardo) for the benefit of clarifications wouldn't be good to
have a 
	enumeration unknown(0) for this 
	object when not a 2.0 burst ? 
	Also a note in the DESCRIPTION like "if docsIfCmtsModChannelType
is 
	tdma(1) 
	a value unknown(0) is used for this object" 
	I would say unknown(0) rather than unknown(3) since it looks
like the 
	possible current implementation may be reporting 
	'0' , and defendable in IETF since RFC 3291 uses '0' for
inetAddressType

---

From: "Eduardo Cardona" <[email-masked]>
Date: Tue, 29 Jul 2003 13:06:08 -0600

Minnie, 
I concur with David's proposal and your summary.

The point for the ECR would be having that before CW28, ECR deadline,
keep watching for extra comments comments and please write the ECR if
you have the time for in the comming weeks .

Thanks
Eduardo

-----Original Message-----
From: Minnie Lu [mailto:[email-masked]] 
Sent: Tuesday, July 29, 2003 12:16 PM
To: Craig Patten @ Terayon; Eduardo Cardona; Raftus, David
Cc: 'Minnie Lu '; DOCSIS OSS Majordomo List; [email-masked] '
Subject: RE: any ECR for docsIfCmtsModPreambleType value for TDMA/ATDMA

Hi,  All,

Thanks for your help !  The unknown(0) is also good to me.  Just to
remind 
that please put the enum unknown(0)  in the SYNTAX.

As reference, in draft-ietf-ipcdn-docs-rfmibv2-05.txt, the old one
refers 
to a document number and this is the way used throughout the whole MIB.
To 
be consistent with other MIB objects' reference,  I think it can be kept

the same as before to reference the document number.  The next version, 
David could decide how to change it if necessary.:-)

So please allow me to put all your comments together and comes up the 
tentative proposed like below.

docsIfCmtsModPreambleType        OBJECT-TYPE
         SYNTAX       INTEGER {
             unknown(0),  <------------------------------------
             qpsk0(1),
             qpsk1(2)
         }
         MAX-ACCESS  read-create
         STATUS      current
         DESCRIPTION
            "Preamble type for DOCSIS 2.0 bursts. The value 'unknown(0)'

represents
            a row entry consisting only of DOCSIS 1.x bursts."
         REFERENCE
             "Document [25] from References, 8.3.3 Upstream Channel 
Descriptor (UCD),
              Table 8-19 and section 6.2.9 Preamble Prepend."
         DEFVAL { qpsk0 }
         ::= { docsIfCmtsModulationEntry 16 }

Hi Eduardo,

  Possible to help writing up this ECR for DOCSIS OSSIv2.0 ? I think it
is 
too late for OSSIv1.1 now.  If you are very busy, please let me know,
then 
I will find time to write it up.

   Appreciate your help !
   Thanks a lot !
   Minnie

At 09:10 AM 7/29/2003 -0700, Patten, Craig wrote:

>  Eduardo,
>
>Minor documentation issue, I noticed the proposed definition includes a
>reference SP-RFIv2.0-IO2-020617 spec.  I don't think it has changed,
but 
>should the mib actually reference the newer IO3 document AKA 
>SP-RFIv2.0-I03-021218?
>
>Thanks,
>
>Craig
>
>I agree that 'unknown (0)' matches the precedent set previously in the 
>Also, use of the value (0) is acceptable according to minutes of the 
>             "Preamble type for DOCSIS 2.0 bursts. The value 'unknown 
>(0)' represents a row entry consisting only of DOCSIS 1.x bursts."
>
>Thanks,
>Dave
>
>From: Eduardo Cardona [
><mailto:[email-masked]>mailto:[email-masked]

>From: Minnie Lu [ <mailto:[email-masked]>mailto:[email-masked]
><mailto:[email-masked]> ]
>revision of RF mib v2 draft. But it seems that it will take some time 
>to have next

>docsIfCmtsModPreambleType object has 2 possible values qpsk0(1) and 
>qpsk1(2). It seems like it's the only object
>in this table without a
>enumeration unknown(0) for this object when not a 2.0 burst ?
inetAddressType

---

From: "Patten, Craig" <[email-masked]>
Date: Tue, 29 Jul 2003 09:10:35 -0700

Eduardo,

Minor documentation issue, I noticed the proposed definition includes a
reference SP-RFIv2.0-IO2-020617 spec.  I don't think it has changed, but
should the mib actually reference the newer IO3 document AKA
SP-RFIv2.0-I03-021218?

Thanks,

Craig

-----Original Message-----
From: Raftus, David
To: 'Eduardo Cardona'; Minnie Lu; DOCSIS OSS Majordomo List; [email-masked]
Cc: Raftus, David
Sent: 7/29/2003 8:29 AM
Subject: RE: any ECR for docsIfCmtsModPreambleType value for TDMA/ATDMA

Hi, 

Thanks, 
Dave 

[email-masked]           
613.592.1052  ext 222 

-----Original Message----- 

In the mean time, 

Regards 

Eduardo 

-----Original Message----- 
From: Minnie Lu [ mailto:[email-masked] <mailto:[email-masked]> ] 
Sent: Monday, July 28, 2003 5:13 PM 
To: DOCSIS OSS Majordomo List; Eduardo Cardona 
Cc: [email-masked] 
Subject: any ECR for docsIfCmtsModPreambleType value for TDMA/ATDMA 

Hi,

---

From: Minnie Lu <[email-masked]>
Date: Tue, 29 Jul 2003 11:16:06 -0700

Hi,  All,

Thanks for your help !  The unknown(0) is also good to me.  Just to remind 
that please put the enum unknown(0)  in the SYNTAX.

As reference, in draft-ietf-ipcdn-docs-rfmibv2-05.txt, the old one refers 
to a document number and this is the way used throughout the whole MIB. To 
be consistent with other MIB objects' reference,  I think it can be kept 
the same as before to reference the document number.  The next version, 
David could decide how to change it if necessary.:-)

Hi Eduardo,

  Possible to help writing up this ECR for DOCSIS OSSIv2.0 ? I think it is 
too late for OSSIv1.1 now.  If you are very busy, please let me know, then 
I will find time to write it up.

   Appreciate your help !
   Thanks a lot !
   Minnie

---

From: Minnie Lu <[email-masked]>
Date: Tue, 29 Jul 2003 13:32:42 -0700

Hi, Eduardo,

Thanks a lot ! I will write it up.
Minnie

---

From: "Eduardo Cardona" <[email-masked]>
Date: Wed, 30 Jul 2003 09:25:12 -0600

Minnie,

Good summary, thanks again for doing that. 
Only one thing, 

IETF does not like references into the DESCRIPTION nor  REFERENCE
clauses, the reason for that is because when an operator stripped out
the mib from the RFC document, the reference section ins gone, better to
leave the full document name, 

Thanks

Eduardo

-----Original Message-----
From: Minnie Lu [mailto:[email-masked]] 
Sent: Tuesday, July 29, 2003 12:16 PM
To: Craig Patten @ Terayon; Eduardo Cardona; Raftus, David
Cc: 'Minnie Lu '; DOCSIS OSS Majordomo List; [email-masked] '
Subject: [ipcdn] RE: any ECR for docsIfCmtsModPreambleType value for
TDMA/ATDMA

Hi,  All,

represents

Hi Eduardo,

   Appreciate your help !
   Thanks a lot !
   Minnie

but 

inetAddressType

---

From: "Eduardo Cardona" <[email-masked]>
Date: Wed, 30 Jul 2003 12:49:13 -0600

Minnie, 

That's why I would prefer having first the RFI new draft before rolling
the ECR, 
In such way we keep consistent references, and will be still on track
for CW28

Eduardo

-----Original Message-----
From: Minnie Lu [mailto:[email-masked]] 
Sent: Wednesday, July 30, 2003 11:57 AM
To: Eduardo Cardona
Cc: Minnie Lu; Craig Patten @ Terayon; Raftus, David; DOCSIS OSS
Majordomo List; [email-masked]
Subject: RE: [ipcdn] RE: any ECR for docsIfCmtsModPreambleType value for
TDMA/ATDMA

Hi, Eduardo,

  I totally agree with you !   I personally also prefer the full
document name.

   For this ECR, if only docsIfCmtsModPreambleType REFERENCE is modified
as 
your original proposal, then it would not be consistent with 
others.  Either we modify all the REFERENCE or leave all as they are.

  But I don't think this ECR needs to modify all the REFERENCE through 
whole MIB in draft-ietf-ipcdn-docs-rfmibv2-05.txt.   I think David will
fix 
all the REFERENCE in his next revision.:-)

  Do you still want me to modify only the docsIfCmtsModPreambleType 
REFERENCE  ?  I would follow your advice if you still think so.

  Thanks a lot !
  Minnie

At 09:25 AM 7/30/2003 -0600, Eduardo Cardona wrote:
>the mib from the RFC document, the reference section ins gone, better 
>to leave the full document name,
>
>
>Thanks
>
>Eduardo
>
>remind that please put the enum unknown(0)  in the SYNTAX.
>
>refers to a document number and this is the way used throughout the 
>whole MIB. To

>'unknown(0)'
>   Possible to help writing up this ECR for DOCSIS OSSIv2.0 ? I think 
>it is too late for OSSIv1.1 now.  If you are very busy, please let me 
>know, then
> >Minor documentation issue, I noticed the proposed definition includes

> >a reference SP-RFIv2.0-IO2-020617 spec.  I don't think it has 
> >changed,
>but
> >I agree that 'unknown (0)' matches the precedent set previously in 
> >the RF mib, and is preferable to 'other (0)'.
> >

SP-RFIv2.0-IO2-020617,
'unknown'
SP-RFIv2.0-IO2-020617,

> >to have next revision to be published and accepted by CableLabs as 
> >part of official DOCSIS OSS spec.  Is there any ECR/ECO/ECN already ?

> >If not yet, I think
> >qpsk1(2). It seems like it's the only object in this table without a
> >(Eduardo) for the benefit of clarifications wouldn't be good to have 
> >a enumeration unknown(0) for this object when not a 2.0 burst ? Also 
> >a note in the DESCRIPTION like "if docsIfCmtsModChannelType is
> >tdma(1)

> >possible current implementation may be reporting '0' , and defendable

> >in IETF since RFC 3291 uses '0' for
>inetAddressType
> >

---

From: Minnie Lu <[email-masked]>
Date: Wed, 30 Jul 2003 10:57:18 -0700

Hi, Eduardo,

  I totally agree with you !   I personally also prefer the full document name.

   For this ECR, if only docsIfCmtsModPreambleType REFERENCE is modified as 
your original proposal, then it would not be consistent with 
others.  Either we modify all the REFERENCE or leave all as they are.

  But I don't think this ECR needs to modify all the REFERENCE through 
whole MIB in draft-ietf-ipcdn-docs-rfmibv2-05.txt.   I think David will fix 
all the REFERENCE in his next revision.:-)

  Thanks a lot !
  Minnie